%define srcname ModemManager

%define major 0
%define libname %mklibname mm-glib %{major}
%define devname %mklibname mm-glib -d

Summary:	Mobile broadband modem management service
Name:		modemmanager
Version:	1.4.0
Release:	1
License:	GPLv2+
Group:		System/Configuration/Networking
Url:		http://www.gnome.org/projects/NetworkManager/
Source0:	http://www.freedesktop.org/software/ModemManager/%{srcname}-%{version}.tar.xz
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	ppp
BuildRequires:	xsltproc
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(mbim-glib) >= 1.10.0
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(qmi-glib) >= 1.10.0
Requires:	qmi-tools
Requires:	usb_modeswitch
Requires(pre,post,preun,postun):	systemd

%description
The ModemManager service provides a consistent API to operate many 
different modems, including mobile broadband (3G) devices.

%files -f %{srcname}.lang
%doc README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.%{srcname}1.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.%{srcname}1.service
%attr(0755,root,root) %{_sbindir}/%{srcname}
%attr(0755,root,root) %{_bindir}/mmcli
%{_datadir}/dbus-1/interfaces/*.xml
%dir %{_libdir}/%{srcname}
%attr(0755,root,root) %{_libdir}/%{srcname}/libmm-plugin-*.so
%{_unitdir}/%{srcname}.service
%{_mandir}/man8/*
%{_iconsdir}/hicolor/22x22/apps/%{srcname}.png
/lib/udev/rules.d/*.rules

%triggerin -- %{name} < 1.0.0-8
#<akdengi> We need enable modemanager allready after install
/bin/systemctl enable %{srcname}.service
/bin/systemctl start %{srcname}.service

%post
%systemd_post %{srcname}.service

%preun
%systemd_preun %{srcname}.service

%postun
%systemd_postun

#----------------------------------------------------------------------------

%package devel
Summary:	Headers for adding ModemManager support to applications
Group:		System/Libraries

%description devel
This package contains various headers for accessing some ModemManager
functionality from applications.

%files devel
%{_includedir}/%{srcname}/*.h
%dir %{_datadir}/gtk-doc/html/%{srcname}
%{_datadir}/gtk-doc/html/%{srcname}/*
%{_libdir}/pkgconfig/%{srcname}.pc

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for adding ModemManager support to applications that use glib
Group:		System/Libraries
Conflicts:	%{name}-glib < 1.2.0
Obsoletes:	%{name}-glib < 1.2.0

%description -n %{libname}
This package contains the libraries that make it easier to use some 
ModemManager functionality from applications that use glib.

%files -n %{libname}
%{_libdir}/libmm-glib.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Libraries and headers for adding glib ModemManager support  
Group:		System/Libraries
Requires:	%{name}-devel = %{EVRD}
Requires:	%{libname} = %{EVRD}
Requires:	pkgconfig(glib-2.0)
Conflicts:	%{name}-glib-devel < 1.2.0
Obsoletes:	%{name}-glib-devel < 1.2.0
Provides:	%{name}-glib-devel = %{EVRD}

%description -n %{devname}
This package contains various headers for accessing some ModemManager 
functionality from glib applications.

%files -n %{devname}
%{_libdir}/libmm-glib.so
%dir %{_includedir}/libmm-glib
%{_includedir}/libmm-glib/*.h
%{_libdir}/pkgconfig/mm-glib.pc
%dir %{_datadir}/gtk-doc/html/libmm-glib
%{_datadir}/gtk-doc/html/libmm-glib/*

#----------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

%build
pppver=`rpm -q --qf "%{VERSION}" ppp`
pppddir=%{_libdir}/pppd/$pppver
%configure2_5x \
	--enable-more-warnings=error \
	--with-udev-base-dir=/lib/udev \
	--enable-gtk-doc=yes \
	--with-polkit=no \
	--with-systemdsystemunitdir=%{_unitdir} \
	--disable-static \
	--disable-introspection \
	--with-qmi=yes \
	--with-mbim=yes \
	--with-newest-qmi-commands
%make

%install
%makeinstall_std

# only used by test suite
rm -f %{buildroot}%{_libdir}/pppd/2.*/*.so

%find_lang %{srcname}

%check
%make check

%changelog
